Get resource users
get
/rest/ofscCore/v1/resources/{resourceId}/users
This operation retrieves the users assigned to the specified resource.
Request
Supported Media Types
- application/x-www-form-urlencoded
Path Parameters
-
resourceId(required): string
The unique identifier of the resource in Oracle Field Service.
Query Parameters
-
limit: integer
The number of items to be returned in the response. The minimum value that can be specified is 1 and the maximum value that can be specified is 100. If the specified value is greater than 100, zero, or if no value is specified, then it defaults to 100.
-
offset: integer
The record number from which the retrieval starts. The default value is zero. If no value is specified, then it defaults to zero. The value zero indicates that the retrieval will start from the beginning of the collection.
Response
Supported Media Types
- application/json
200 Response
This section describes the 200 status response for this operation.
Root Schema : Resource Users
Type:
objectTitle:
Resource UsersThe list of users assigned to the resource.
Show Source
-
items:
array Items
Title:
ItemsThe array of objects containing information about the users assigned to the resource.
Nested Schema : Items
Type:
arrayTitle:
ItemsThe array of objects containing information about the users assigned to the resource.
Show Source
-
Array of:
object Resource User
Title:
Resource UserThe user assigned to the resource.
Nested Schema : Resource User
Type:
objectTitle:
Resource UserThe user assigned to the resource.
Show Source
-
login(required):
string
Title:
LoginThe login details of the assigned user.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to get resource users for resources by submitting a GET request on the REST resource.
Example of Request Header
The following shows an example of the request header.
GET /rest/ofscCore/v1/resources/testResourceUsersCruOOXEKHKTDP/users HTTP/1.0
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 200 OK Server: nginx/1.6.3 Date: Wed, 16 Sep 2015 15:32:19 GMT Content-Type: application/json; charset=utf-8 Connection: close X-Powered-By: PHP/5.5.28
Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"items": [
{
"login": "de_engineer",
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscCore/v1/users/de_engineer"
}
]
},
{
"login": "ru_engineer",
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscCore/v1/users/ru_engineer"
}
]
}
],
"totalResults": 2,
"limit": 100,
"offset": 0,
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscCore/v1/resources/testResourceUsersCruOOXEKHKTDP/users/?limit=100&offset=0"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscCore/v1/metadata-catalog/resources"
}
]
}